/* 
 * Description - Angular Script for displaying the tooltip on mouse hover!
 * Created By - Yatin Batra  
 * */

var app = angular.module("app", []);

app.controller("ctrl", ['$scope', function($scope, $http) {

	$scope.state  = false;				// Set the default tooltip state

	// This method will display the tooltip on mouse hover.
	$scope.showTip = function () {
		$scope.state  = true;
	};

	// This method will hide the tooltip on mouse leave.
	$scope.hideTip = function () {
		$scope.state  = false;
	};	
}]);	