<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>AngularJS Hover</title>

    <!-- AngularJs File -->
    <script type="text/javascript" src="resource/js/angular_v1.6.0.js"></script>
    <script type="text/javascript" src="resource/js/hover.js"></script>

    <!-- Bootstrap Css -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css">

    <style type="text/css">
        .tooltip_css {
            border: 1px solid black;
            width: 270px;
            margin-left: 82px;
            margin-top: -34px;
            background-color: #555;
            border-radius: 4px;
            height: 28px;
            color: #fff;
            padding-left: 8px;
        }
    </style>
</head>

<body>
    <div id="angularHover" class="container">
        <h1 align="center" class="text-primary">AngularJS - Hover Example</h1>
        <hr />

        <!------ AngularJs Hover Example ------>
        <div ng-app="app" ng-controller="ctrl">
            <h3 id="header_msg" class="text-warning">A demo of <em>hover</em> in Angular JavaScript!</h3>
            <div>&nbsp;</div>

            <button id="hoverBtn" class="btn btn-primary" ng-mouseover="showTip()" ng-mouseleave="hideTip()">Tooltip</button>
            <div class="tooltip_css" ng-show="state">Hi... Welcome to the Angular world!</div>
        </div>
    </div>
</body>
</html>